%define anolis_release 1

Name:           pcaudiolib
Version:        1.1
Release:        %{anolis_release}%{?dist}
Summary:        Portable C Audio Library

# pcaudiolib bundles TPCircularBuffer with Cube license, which is only used
# by coreaudio support, which we do not build. The rest is GPLv3+.
License:        GPLv3+
URL:            https://github.com/rhdunn/pcaudiolib
Source0:        %{url}/archive/%{version}.tar.gz

BuildRequires:  gcc make autoconf automake libtool pkgconfig
BuildRequires:  alsa-lib-devel pulseaudio-libs-devel

%description
The Portable C Audio Library (pcaudiolib) provides a C API to different
audio devices.

%package devel
Summary: Development files for pcaudiolib
Requires: %{name} = %{version}-%{release}

%description devel
Development files for the Portable C Audio Library.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup
rm -rf src/TPCircularBuffer

%build
./autogen.sh
%configure --without-coreaudio
%make_build

%install
%make_install
rm -vf %{buildroot}%{_libdir}/*.{a,la}

%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libpcaudio.so.*
%dir %{abidir}
%{abidir}/libpcaudio.dump

%files devel
%{_libdir}/libpcaudio.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/audio.h

%files doc
%doc README.md
%doc AUTHORS
%doc CHANGELOG.md

%changelog
* Sat Mar 25 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.1-1
- Init from upstream
